Package javax.validation

# Class Validation

java.lang.Object
javax.validation.Validation

public class Validation extends Object
Note: From Section 4.4.5 Validation of the 1.0 PFD Spec - Validation implementations may only provide the following three public static methods: buildDefaultValidatorFactory(), byDefaultProvider(), byProvider()

Version:
  $Rev$ $Date$

## Constructor Summary

Constructors
Constructor
Description
`Validation()`

## Method Summary

Modifier and Type
Method
Description
`static ValidatorFactory`
`buildDefaultValidatorFactory()`
`static GenericBootstrap`
`byDefaultProvider()`
`static <T extends Configuration<T>, U extends ValidationProvider<T>>
ProviderSpecificBootstrap<T>`
`byProvider(Class<U> providerType)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Validation

public Validation()

## Method Details

### buildDefaultValidatorFactory

public static ValidatorFactory buildDefaultValidatorFactory()

### byDefaultProvider

public static GenericBootstrap byDefaultProvider()

### byProvider

public static <T extends Configuration<T>, U extends ValidationProvider<T>> ProviderSpecificBootstrap<T> byProvider(Class<U> providerType)